Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7018 - system-level daemons should have TFM
Summary: system-level daemons should have TFM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-15 16:38 UTC by Ole Craig
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-01 19:37:42 UTC


Attachments (Terms of Use)

Description Ole Craig 1999-11-15 16:38:21 UTC
I've noticed that many of the system-level building blocks that RedHat
uses are starting to ship without manpages. Ok, I can see gnomehelp or info
pages for userland programs and GUI-related things, but IMnsHO there's no
excuse for shipping system binaries without manpages. While I've seen this
occur with other programs, my beef today is particularly with "ppp-watch"
which seems to be new to rh6.1 -- would it be too difficult to explain
*somewhere* what this program does, what arguments can be passed to it,
what its exit values are, etc? While I *can* go find the source and figure
it out for myself, that's a little difficult when I'm trying to figure out
where the interface configuration is bombing...

	IOW, I'd be happy to RTFM if there *was* a FM. If indeed there is
one, I will happily apologize, swallow my irritation, and publicly flog
myself in return for a pointer to it.

Comment 1 Michael K. Johnson 1999-11-17 15:41:59 UTC
It is not documented because it is not intended to be called
directly.  Perhaps it should be in /lib/initscripts/ or something
like that...  It is intended to be called ONLY via ifup-ppp and
not other use is encouraged.

Comment 2 Ole Craig 1999-11-17 17:25:59 UTC
The fact that RedHat doesn't intend for ppp-watch to be called directly doesn't
mean that end-users won't need information on it in order to debug problems in
the field. Hell, getty is supposed to be invoked only by init, and there's three
different getty-related manpages...

Let me highlight my underlying complaint here: system binaries should be
documented. In particular, system binaries without which critical functionality
(such as remote or network connectivity) is lost *must* be documented in order
for the open-source development model to remain viable. (How can I tell whether
it's a bug if I don't have information on what the program should be doing? How
can I tell which part of the connection process is failing if I don't know what
parts are doing what?)

	So yes, I think that at a minimum there should be information left in
/usr/doc/initscripts-%{version}, if not a complete manpage. Two lines in the rpm
changelog doesn't cut it.

Comment 3 Michael K. Johnson 1999-11-19 21:53:59 UTC
You are right.  I have added ppp-watch.8 for the next release of initscripts.


Note You need to log in before you can comment on or make changes to this bug.